textures/stone/pjrock21
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/stone/pjrock21.tga
		rgbgen vertex
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/base_floor/clangdark
{
	surfaceparm	metalsteps		

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/border11light_300
{
	qer_editorimage textures/base_light/border11light.tga
	q3map_lightimage textures/base_light/border11light.blend.tga

	q3map_surfacelight 235	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border11light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border11light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light5_3000
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
                rgbgen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/xceil1_39_15k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_support/x_support
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/x_support.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/proto_comp
{
        {
        	 map textures/base_trim/proto_comp2.tga
        	 tcmod scroll 0 -.2
        	 rgbgen wave sin .5 .5 0 3
                 rgbgen identity
        }
        {
        	 clampmap textures/sfx/console03.tga
        	 tcmod rotate -33
                 tcmod stretch sin .8 0 0 0
                 blendfunc add
                 rgbgen wave sin .6 0 0 0
        }
        {
        	 clampmap textures/sfx/console02.tga
        	 tcmod rotate -333
                 tcmod stretch sin .8 0 0 0
                 blendfunc add
                 rgbgen wave sin .3 0 0 0
        }
        {
        	 map textures/effects/tinfx2c.tga
        	 tcgen environment
                 blendfunc add
                 rgbgen identity
        }
        {
        	 map textures/base_trim/proto_comp.tga
        	 blendfunc blend
        }
        {
		map $lightmap
                blendfunc filter
		rgbgen identity
	}
}

textures/base_trim/tin
{
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_trim/tin.tga
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_trim/wires02
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
                map textures/base_trim/wires02.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/base_wall/bluemetal2_noisy
{
	qer_editorimage textures/base_wall/bluemetal2_shiny.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/base_wall/bluemetal2_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}			
}

textures/base_wall/c_met5_2_trans
{
	qer_editorimage textures/base_wall/c_met5_2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	
	}
	{
		map textures/base_wall/c_met5_2.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero

	
	}
}

textures/base_wall/glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/gothic_light/flicker_light15k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 15000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen wave noise 0.75 0.25 0 10
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.75 0.25 0 10
	}
}

textures/gothic_trim/zinc_shiny
{   
    
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/gothic_trim/zinc_shiny.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_wall/xoct20c_shiney
{
	qer_editorimage textures/gothic_wall/xoct20c_shiney.tga
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/gothic_wall/xoct20c_shiney.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/liquids/clear_calm1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	
	

}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
                blendfunc add
        }
}

textures/sfx/fan3
{
       cull disable
       surfaceparm alphashadow	
       sort 6
        {
	        map textures/sfx/fan3.tga
		blendfunc blend
	        rgbgen identity
	}
        
        {
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/sfx/fanfx
{
	qer_editorimage textures/sfx/fanfx.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip

	{
		clampmap textures/sfx/fanfx.tga
		tcmod rotate 256 
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen exactvertex
                depthwrite
	}
}

textures/danger/diaschau
{
	qer_editorimage textures/danger/wwwdanger.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .1 textures/danger/text1.tga textures/danger/text2.tga textures/danger/pq_logo.tga textures/danger/text3.tga textures/danger/wwwdanger.tga textures/danger/schwarz.tga

		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/danger/waterfall
{
	qer_editorimage textures/danger/pool3d_5c2.tga
	q3map_globaltexture
	surfaceparm trans
	
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tesssize 64
	cull disable
	deformvertexes wave 64 triangle 1 3 .1 .1

	{
		map textures/danger/pool3d_5c2.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 1.0 2.0
		tcmod turb .1 .05 .25 .08
		tcmod scroll .8 -.125
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		tcmod scale .5 .5
		tcmod turb .1 .075 .5 .05
		tcmod scroll 1. .1
	}

}

textures/danger/busch
{
        qer_editorimage textures/danger/busch.tga
    	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip
	{
		map textures/danger/busch.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/danger/gruenleucht
{
	q3map_lightimage textures/danger/gruen.tga
	qer_editorimage textures/danger/gruen.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/danger/gruen.tga
		blendfunc filter
		rgbgen identity
	}
        {
		map textures/danger/gruen.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}

}

textures/danger/hotel
{
        qer_editorimage textures/danger/hotel.tga
    	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip
	{
		map textures/danger/hotel.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/skies/mkskybox
{
        qer_editorimage textures/skies/pjbasesky.tga


	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/common/white.tga
	q3map_sun	0.266383 0.274632 0.358662 100 65 55
	q3map_surfacelight 140

        skyparms env/berg2 - -
}

textures/danger/pqschild
{
        qer_editorimage textures/danger/pqlogo.tga
    	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip
	{
		map textures/danger/pqlogo.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/danger/x_support
{
	surfaceparm	metalsteps
	surfaceparm trans
	surfaceparm alphashadow
    surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/danger/x_support.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/danger/ampelgruen
{
	qer_editorimage textures/danger/ampelgruen.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .2 textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga

		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap .2 textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga
		blendfunc gl_one gl_one
	}
}

textures/danger/ampelrot
{
	qer_editorimage textures/danger/ampelrot.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .2 textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga

		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap .2 textures/danger/ampelrot.tga textures/danger/ampelrot.tga textures/danger/ampelrotgelb.tga textures/danger/ampelgruen.tga textures/danger/ampelgelb.tga
		blendfunc gl_one gl_one
	}
}

